'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (dir) {
    var files = [];

    var finder = (0, _findit2.default)(dir);

    return new Promise(function (resolve, reject) {
        finder.on('file', function (file, stat) {
            files.push(file);
        });

        finder.on('end', function () {
            resolve(files);
        });

        finder.on('error', function (err) {
            reject(err);
        });
    });
};

var _findit = require('findit');

var _findit2 = _interopRequireDefault(_findit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }