import findit from 'findit';

export default function(dir) { 
    let files = [];

    let finder = findit(dir);

    return new Promise((resolve,reject) => {
        finder.on('file', (file, stat) => {
            files.push(file);
        });

        finder.on('end', () => {
            resolve(files);
        });

        finder.on('error', (err) => {
            reject(err);
        });
    });
}
